haskelldb-2.2.2: A library of combinators for generating and executing SQL statements.

Portability | non portable
Stability | experimental
Maintainer | haskelldb-users@lists.sourceforge.net
Safe Haskell | None

Database.HaskellDB.Optimize

Description

Defines standard optimizations performed on PrimQuery's (relational expressions).

Synopsis

- optimize :: PrimQuery -> PrimQuery
- optimizeCriteria :: [PrimExpr] -> [PrimExpr]

# Documentation

optimize :: PrimQuery -> PrimQuery Source

Optimize a PrimQuery

optimizeCriteria :: [PrimExpr] -> [PrimExpr]Source

Optimize a set of criteria.